Agda-2.3.0.1: A dependently typed functional programming language and proof assistant

Safe Haskell | Safe-Infered

Agda.Interaction.EmacsCommand

Description

Low-level code for instructing Emacs to do things

Synopsis

- data Lisp a
  - = A a
  - | Cons (Lisp a) (Lisp a)
  - | L [Lisp a]
  - | Q (Lisp a)
- putResponse :: Lisp String -> IO ()

# Documentation

data Lisp a

Simple Emacs Lisp expressions.

Constructors

A a | Atom.
Cons (Lisp a) (Lisp a) |
L [Lisp a] | List.
Q (Lisp a) |

Instances

Pretty a => Show (Lisp a) |
Pretty a => Pretty (Lisp a) |

putResponse :: Lisp String -> IO ()

Writes a response command to standard output.